import "./tasks/fastqc.wdl" as fastqc
import "./tasks/fastqscreen.wdl" as fastqscreen

workflow {{ project_name }} {
	File screen_ref_dir
	File fastq_screen_conf
	File read1
	File read2

	call fastqc.fastqc as fastqc {
			input:
			read1=read1,
			read2=read2
		}

	call fastqscreen.fastq_screen as fastqscreen {
			input:
			read1=read1,
			read2=read2,
			screen_ref_dir=screen_ref_dir,
			fastq_screen_conf=fastq_screen_conf
		}		

}

